Subject: Re: bug#50470: 27.1; 'company-mode' 'eshell'

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 Jun 2022 19:52:51 -0400

> My patch doesn't help with the 'cd ~/Down*' behavior, though: when I worked
> on it, pressing C-M-i did expand it as expected, it was mostly problematic
> with company-mode (and other similar frontends).
>
> But now C-M-i results in "No match" as well, with or without my patch.

AFAICT the "no match" is because we have "~/Down*" as the pattern and
"/home/<foo>/Downloads" as one of the proposed completions, and the
completion style has no idea how the two can match since it doesn't know
we're dealing with files.

In any case, I think your change is going in the right direction, so
I installed a patch which does basically the same.

        Stefan